﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace HaloMap
{
    public class Shader
    {
        private Tag shad;
        public Reflexive SelfIllum = new Reflexive();
        public TagReference BaseMap = new TagReference();
        public System.Drawing.Bitmap Bitmap;

        public Shader(Map map, Tag tag)
        {
            this.shad = tag;

            map.br.BaseStream.Position = shad.MetaOffset + 12;
            SelfIllum.Read(map, true);
            map.br.BaseStream.Position = SelfIllum.Translation;
            BaseMap.Read(map, true);

            Tag Old = map.SelectedTag;
            map.SelectedTag = BaseMap.Tag;
            BitmapRaw.Read(map);
            map.SelectedTag = Old;
            Bitmap = new System.Drawing.Bitmap(HaloMap.Bitmap.LoadPreview(map, BitmapRaw.RawChunks[0]));
        }
    }
}
